Ubuntu

Help cannot be loaded: Error 500 Unable to compile class for JSP

Reported by Jaromir Obr on 2010-03-27
68
This bug affects 12 people
Affects Status Importance Assigned to Milestone
eclipse (Debian)
Fix Released
Unknown
eclipse (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: eclipse

Reliably reproducible.

Steps to reproduce:
1) Open Eclipse
2) Go to "Help -> Help Contents"

Expected result:
Help content is loaded

Actual result:
------------------------
HTTP ERROR 500
Problem accessing /help/index.jsp. Reason:

    Unable to compile class for JSP:
------------------------

Used SW:
Ubuntu 10.04, amd64
openjdk-6-jdk: 6b18~pre3-0ubuntu1

It's regression in Eclipse 3.5.2 (Ubuntu package). I didn't have this issue in 3.5.1 (neither in Karmic nor in Lucid).
I also tested standalone package Eclipse 3.5.2 from http://www.eclipse.org/downloads/ and it works well too.

Jaromir Obr (jaromir-obr) wrote :
Jaromir Obr (jaromir-obr) wrote :
Jaromir Obr (jaromir-obr) wrote :

I forgot:
Eclipse version is 3.5.2-2ubuntu1

Benjamin Drung (bdrung) on 2010-03-27
Changed in eclipse (Ubuntu):
status: New → Triaged
Benjamin Drung (bdrung) on 2010-03-27
Changed in eclipse (Ubuntu):
assignee: nobody → AbsintheSyringe (adnan-foolcontrol)
importance: Undecided → Medium
Changed in eclipse (Debian):
status: Unknown → Confirmed
Paolo4500 (pingopallo-2) wrote :

same problem in Ubuntu 10.04 64bit.
I installed Eclipse from official repositories, but my JVM is sun

Paolo4500 (pingopallo-2) wrote :

Binary package hint: eclipse

When i try to see help file of eclipse, a page error appear instead of help page...
I've Ubuntu 10.04 64bit, i installed Eclipse 3.5.2-2ubuntu4 from official ubuntu repositories...
I use Sun JVM, last version (6.20dlj-1ubuntu3).

Paolo4500 (pingopallo-2) wrote :
Paolo4500 (pingopallo-2) wrote :
Paolo4500 (pingopallo-2) wrote :
Download full text (32.5 KiB)

In error page is written:

HTTP ERROR 500

Problem accessing /help/index.jsp. Reason:

    Unable to compile class for JSP:

An error occurred at line: 3 in the generated java file
    [javac] /home/giovanni/.eclipse/org.eclipse.platform_3.5.0_155965261/configuration/org.eclipse.osgi/bundles/54/data/jettywork/pid_2070971114/proxytemp/hc_442615190/org/apache/jsp/index_jsp.java:3: package javax.servlet does not exist
    [javac] import javax.servlet.*;
    [javac] ^

An error occurred at line: 4 in the generated java file
    [javac] /home/giovanni/.eclipse/org.eclipse.platform_3.5.0_155965261/configuration/org.eclipse.osgi/bundles/54/data/jettywork/pid_2070971114/proxytemp/hc_442615190/org/apache/jsp/index_jsp.java:4: package javax.servlet.http does not exist
    [javac] import javax.servlet.http.*;
    [javac] ^

An error occurred at line: 5 in the generated java file
    [javac] /home/giovanni/.eclipse/org.eclipse.platform_3.5.0_155965261/configuration/org.eclipse.osgi/bundles/54/data/jettywork/pid_2070971114/proxytemp/hc_442615190/org/apache/jsp/index_jsp.java:5: package javax.servlet.jsp does not exist
    [javac] import javax.servlet.jsp.*;
    [javac] ^

An error occurred at line: 6 in the generated java file
    [javac] /home/giovanni/.eclipse/org.eclipse.platform_3.5.0_155965261/configuration/org.eclipse.osgi/bundles/54/data/jettywork/pid_2070971114/proxytemp/hc_442615190/org/apache/jsp/index_jsp.java:6: package org.eclipse.help.internal.webapp.data does not exist
    [javac] import org.eclipse.help.internal.webapp.data.*;
    [javac] ^

An error occurred at line: 8 in the generated java file
    [javac] /home/giovanni/.eclipse/org.eclipse.platform_3.5.0_155965261/configuration/org.eclipse.osgi/bundles/54/data/jettywork/pid_2070971114/proxytemp/hc_442615190/org/apache/jsp/index_jsp.java:8: package org.apache.jasper.runtime does not exist
    [javac] public final class index_jsp extends org.apache.jasper.runtime.HttpJspBase
    [javac] ^

An error occurred at line: 9 in the generated java file
    [javac] /home/giovanni/.eclipse/org.eclipse.platform_3.5.0_155965261/configuration/org.eclipse.osgi/bundles/54/data/jettywork/pid_2070971114/proxytemp/hc_442615190/org/apache/jsp/index_jsp.java:9: package org.apache.jasper.runtime does not exist
    [javac] implements org.apache.jasper.runtime.JspSourceDependent {
    [javac] ^

An error occurred at line: 17 in the generated java file
    [javac] /home/giovanni/.eclipse/org.eclipse.platform_3.5.0_155965261/configuration/org.eclipse.osgi/bundles/54/data/jettywork/pid_2070971114/proxytemp/hc_442615190/org/apache/jsp/index_jsp.java:17: cannot find symbol
    [javac] symbol : class HttpServletRequest
    [javac] location: class org.apache.jsp.index_jsp
    [javac] public void _jspService(HttpServletRequest request, HttpServletResponse response)
    [javac] ^

An error occurred at line: 17 in the generated java file
    [javac] /home/giovanni/.eclipse/org.eclipse.platform_3.5.0_155965261/configuration/org.eclipse.osgi/bundles/54/data/jettywork/pid_20...

Changed in eclipse (Ubuntu):
status: Triaged → Fix Committed
Benjamin Drung (bdrung) wrote :

uploaded the SRU patch.

Changed in eclipse (Ubuntu):
assignee: Adnan Hodzic (absinthesyringe) → nobody
Changed in eclipse (Ubuntu Lucid):
status: New → Fix Committed
tags: added: patch

How can i apply this patch?
Will be ecplipse in the official repositories of Ubuntu 10.04 64bit
patched?
When will i find patched version of ecplipse there (downloading by
synaptic or apt-get?).
thanks

Il 09/05/2010 01:01, Benjamin Drung ha scritto:
> uploaded the SRU patch.
>
> ** Patch added: "sru.patch"
> http://launchpadlibrarian.net/48090393/sru.patch
>
> ** Changed in: eclipse (Ubuntu)
> Assignee: Adnan Hodzic (absinthesyringe) => (unassigned)
>
> ** Changed in: eclipse (Ubuntu Lucid)
> Status: New => Fix Committed
>
> ** Tags added: patch
>
>

Paolo4500 (pingopallo-2) wrote :

I don't know how apply this patch...
Could u help us, please?
Will be quickly updated eclipse in official repositories of Ubuntu 10.04 64bit?
In witch repository?
Thanks for help

Paolo4500 (pingopallo-2) wrote :

I don't know how apply this patch...
Could u help us, please?
Will be quickly updated eclipse in official repositories of Ubuntu 10.04 64bit?
In witch repository?
Thanks for help

Il 09/05/2010 01:01, Benjamin Drung ha scritto:
> uploaded the SRU patch.
>
> ** Patch added: "sru.patch"
> http://launchpadlibrarian.net/48090393/sru.patch
>
> ** Changed in: eclipse (Ubuntu)
> Assignee: Adnan Hodzic (absinthesyringe) => (unassigned)
>
> ** Changed in: eclipse (Ubuntu Lucid)
> Status: New => Fix Committed
>
> ** Tags added: patch
>
>

Changed in eclipse (Debian):
status: Confirmed → Fix Released

Accepted eclipse into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

Thanks... I'll try when available in proposed updates...
Couldn't u make it available also by eclipse menu "help -> check for
updates"?

Il 09/05/2010 12:13, Martin Pitt ha scritto:
> Accepted eclipse into lucid-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
> ** Tags added: verification-needed
>
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eclipse - 3.5.2-3

---------------
eclipse (3.5.2-3) unstable; urgency=low

  [ Benjamin Drung ]
  * Set org.eclipse.swt.browser.XULRunnerPath explicitly. (LP: #546518)
  * Set MOZILLA_FIVE_HOME instead of LD_LIBRARY_PATH and
    org.eclipse.swt.browser.XULRunnerPath (LP: #559229, #553779).
  * Add apport hook to collect more useful data for bug reports.
  * Improve xulrunner path detection to work on Debian and Ubuntu.

  [ Niels Thykier ]
  * Added missing copyright statement about ownership over the Debian
    packaging.
  * Made eclipse use version depends on -jdt and -pde to ensure smoother
    upgrades from older versions.
  * Added reportbug helpers to eclipse-platform and eclipse.
  * Added Recommends on default-jdk | sun-java6-jdk for eclipse-jdt.
    (LP: #576952)
  * Added patch to deal with broken help-menu. (Closes: #576106, LP: #549904)
 -- Benjamin Drung <email address hidden> Sat, 08 May 2010 23:17:14 +0200

Changed in eclipse (Ubuntu):
status: Fix Committed → Fix Released
Paolo4500 (pingopallo-2) wrote :

problem #549904 about help-menu fixed, i tryed now! Now eclipse help is available from help menu...thanks.
But new version is eclipse 3.5.2-2ubuntu4.1 not 3.5.2-3) :-)

Martin Pitt (pitti) on 2010-05-10
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eclipse - 3.5.2-2ubuntu4.1

---------------
eclipse (3.5.2-2ubuntu4.1) lucid-proposed; urgency=low

  [ Niels Thykier ]
  * Added Recommends on default-jdk | sun-java6-jdk for eclipse-jdt.
    (LP: #576952)
  * Added patch to deal with broken help-menu. (Closes: #576106, LP: #549904)
 -- Benjamin Drung <email address hidden> Sun, 09 May 2010 00:39:43 +0200

Changed in eclipse (Ubuntu Lucid):
status: Fix Committed → Fix Released
Սահակ (petrosyan) wrote :

this bug is still present in eclipse-3.5.2-2ubuntu4.1 on my 64bit Ubuntu 10.04

Changed in eclipse (Ubuntu Lucid):
status: Fix Released → New
Սահակ (petrosyan) wrote :
Download full text (79.0 KiB)

here is the error message:

HTTP ERROR 500

Problem accessing /help/index.jsp. Reason:

    Unable to compile class for JSP:

An error occurred at line: 28 in the generated java file
May 24, 2010 12:28:38 PM org.apache.jasper.compiler.AntCompiler generateClass
SEVERE: Javac exception
Error running javac compiler
 at org.apache.tools.ant.taskdefs.compilers.DefaultCompilerAdapter.executeExternalCompile(DefaultCompilerAdapter.java:509)
 at org.apache.tools.ant.taskdefs.compilers.JavacExternal.execute(JavacExternal.java:61)
 at org.apache.tools.ant.taskdefs.Javac.compile(Javac.java:1065)
 at org.apache.tools.ant.taskdefs.Javac.execute(Javac.java:882)
 at org.apache.jasper.compiler.AntCompiler.generateClass(AntCompiler.java:217)
 at org.apache.jasper.compiler.Compiler.compile(Compiler.java:298)
 at org.apache.jasper.compiler.Compiler.compile(Compiler.java:277)
 at org.apache.jasper.compiler.Compiler.compile(Compiler.java:265)
 at org.apache.jasper.JspCompilationContext.compile(JspCompilationContext.java:564)
 at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:302)
 at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:329)
 at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:265)
 at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
 at org.eclipse.equinox.jsp.jasper.JspServlet.service(JspServlet.java:112)
 at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
 at org.eclipse.equinox.http.registry.internal.ServletManager$ServletWrapper.service(ServletManager.java:180)
 at org.eclipse.equinox.http.servlet.internal.ServletRegistration.handleRequest(ServletRegistration.java:90)
 at org.eclipse.equinox.http.servlet.internal.ProxyServlet.processAlias(ProxyServlet.java:111)
 at org.eclipse.equinox.http.servlet.internal.ProxyServlet.service(ProxyServlet.java:75)
 at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
 at org.eclipse.equinox.http.jetty.internal.HttpServerManager$InternalHttpServiceServlet.service(HttpServerManager.java:318)
 at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:511)
 at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:390)
 at org.mortbay.jetty.servlet.SessionHandler.handle(SessionHandler.java:182)
 at org.mortbay.jetty.handler.ContextHandler.handle(ContextHandler.java:765)
 at org.mortbay.jetty.handler.HandlerWrapper.handle(HandlerWrapper.java:152)
 at org.mortbay.jetty.Server.handle(Server.java:326)
 at org.mortbay.jetty.HttpConnection.handleRequest(HttpConnection.java:542)
 at org.mortbay.jetty.HttpConnection$RequestHandler.headerComplete(HttpConnection.java:923)
 at org.mortbay.jetty.HttpParser.parseNext(HttpParser.java:547)
 at org.mortbay.jetty.HttpParser.parseAvailable(HttpParser.java:212)
 at org.mortbay.jetty.HttpConnection.handle(HttpConnection.java:404)
 at org.mortbay.io.nio.SelectChannelEndPoint.run(SelectChannelEndPoint.java:409)
 at org.mortbay.thread.QueuedThreadPool$PoolThread.run(QueuedThreadPool.java:582)

An error occurred at line: 28 in the generated java file
Caused by: java.io.IOException: Cannot run program "javac": java.io.IOException: error=2, No such file or directory
 at...

Սահակ (petrosyan) wrote :

after installing openjdk-6-jdk the bug is fixed

Denis Simakov (akinoame1) wrote :

Same here: starts working after installing openjdk-6-jdk

arkmundi (rkerver) wrote :

I've encountered this problem and will be working to fix it. I did not install eclipse from any of the Ubuntu repositories, choosing to take advise elsewhere to install it directly from http://www.eclipse.org/downloads/packages/eclipse-ide-java-ee-developers/galileosr2. This is because of the rich plug-in set for the Java EE IDE version of eclipse. I'm running 10.04 lucid lynx.

FYI, I have the openjdk-6-jdk installed, so there must be something else misssing. The error generated:
  error accessing Help Contents
  HTTP ERROR 500
  Problem accessing /help/index.jsp. Reason:
  Unable to compile class for JSP
... must indicate that the help contents are being freshly generated via an HTTP call for a JSP compilation. So that must mean the correct classpath for compilation within the eclipse framework is missing.

On Thu, Jun 24, 2010 at 11:47 AM, arkmundi <email address hidden> wrote:

> I've encountered this problem and will be working to fix it.  I did not
> install eclipse from any of the Ubuntu repositories, choosing to take
> advise elsewhere to install it directly from
> http://www.eclipse.org/downloads/packages/eclipse-ide-java-ee-
> developers/galileosr2.  This is because of the rich plug-in set for the
> Java EE IDE version of eclipse.  I'm running 10.04 lucid lynx.

While I was waiting for the Ubuntu fix in early May I installed
eclipse (on 10.4
amd64) from the eclipse.org packages and help was working for me. The fix also
worked for me, but I haven't used eclipse for a month or so, so it is
entirely possible
some more recent update has broken things again.

> FYI, I have the openjdk-6-jdk installed, so there must be something else misssing.  The error generated:
>  error accessing Help Contents
>  HTTP ERROR 500
>  Problem accessing /help/index.jsp. Reason:
>  Unable to compile class for JSP
> ... must indicate that the help contents are being freshly generated via an HTTP call for a JSP compilation.  So that must mean the correct classpath for compilation within the eclipse framework is missing.

--
George N. White III <email address hidden>
Head of St. Margarets Bay, Nova Scotia

arkmundi (rkerver) wrote :

Thanks for the encouragement, George,. FYI, status update - I reinstalled three packages:
  openjdk-6-jdk - OpenJDK Development Kit (JDK)
  default-jdk - Standard Java or Java compatible Development Kit
  default-jre - Standard Java or Java compatible Runtime
Hoped that this would do it, but sadly, it did not; have the same error. Other thoughts? Thanks.

arkmundi (rkerver) wrote :

FYI to any interested: I've abandoned my effort to locate the cause of this. It persists on my machine, but appears issolated to the Help-->Help Contents action. I have a working Help tab in the workspace that has a complete Help Contents. Having a functional help system is important to new users of Eclipse, which I am. Being new, its disconcerting to go to the Help menu and have the Help Contents blow up with a java error stack. I hope someone takes this initiative to fix it, and post the fix here. Regards.

arkmundi (rkerver) wrote :

Well, just couldn't leave it alone, like a scab. Finally figured out what was going on, so have it solved. For me, as suggested in previous posts on this thread, it was NOT that I wasn't using the java-6-openjdk. Turned out it was file permissions issues.

When I first installed, I installed to /usr/lib/eclipse {which is arguably the "right and best" location for an application}. But eclipse is peculiar in that its constantly checking & updating itself and its plugins. When first invoking a plugin (and help contents is that, like almost everything eclipse), its going to download and install packages specific to its invocation. If it can't because of file permissions issues, then it blows up with a java error stack.

My remedy was to make my user owner of all files in both my eclipse root (/usr/lib/eclipse/eclipse) and my workspace root (/home/java). To things right, however, I had to invoke eclipse as system root as follows:
    sudo /usr/lib/eclipse/eclipse /home/java
I then do whatever I was doing before, but now with system root privelege, and presto, checks happen, packages are downloaded, plugins are installed, configurations are made, whatever. I then close eclipse and do a:
   sudo chown -cR owner:group directory-root (for both my eclipse root and workspace root)
I then invoke eclipse as a user (its bad practice to be running as system owner).

Seems to work for me for the moment. There may be a better remedy. Regards.

Niels Thykier (niels-thykier) wrote :

Hi

@arkmundi: We cannot help you debug this when you use eclipse from eclipse.org, but I can tell you that Ubuntu has a vastly different setup than eclipse.org in this case. Particularly we do not embed the entire eclipse java compiler into libjasper-java[1] and we have patches in eclipse to make it load the correct bundles when the help is requested.
  A word of advice however, eclipse from eclipse.org is (as I recall) installed as a "single-user" install, which means it expects full read-write access to its "install location". You should generally not put this in /usr/lib or /usr/share, but instead unpack it in (e.g.) your home dir and run it from there.

To all others; I will strongly recommend *NOT* to start eclipse as root as it makes it possible for eclipse to modify some metadata about which plugins are installed via Ubuntu. It can make it very difficult for us to debug issues if eclipse has changed this metadata.

~Niels

[1] This is quite possible the reason for this bug in the first place and likely also to be the reason for why it works after installing default-jdk.

arkmundi (rkerver) wrote :

Niels, I don't nor do I recommend starting eclipse as root. The exercise was required so as to resolve the permissions issues, which I was able to do. It would be helpful, should you be part of the team that packages eclipse for ubuntu, if you would disclose the metadata you refer to, so I can better understand what you do to help seat eclipse, and perhaps make changes to my configuration.

With regards to the "proper" location for software on linux systems, I expect you'd find a great deal of disagreement with your assertions. Let's see, the directory is /usr/lib, which should be quite telling. Every other piece of installed software, by & large, finds its home there. At runtime, eclipse stores all its metadata in the workspace designated at startup, either as a command line parameter, in the eclipse.ini or in perference settings.

George (gnwiii) wrote :

On Sun, Jun 27, 2010 at 3:05 PM, Niels Thykier <email address hidden> wrote:

> Hi
>
> @arkmundi: We cannot help you debug this when you use eclipse from eclipse.org, but I can tell you that Ubuntu has a vastly different setup than eclipse.org in this case. Particularly we do not embed the entire eclipse java compiler into libjasper-java[1] and we have patches in eclipse to make it load the correct bundles when the help is requested.

These changes should be documented in a README.Debian (maybe they are
-- ATM I'm not close to an Ubuntu box so I haven't checked)

>  A word of advice however, eclipse from eclipse.org is (as I recall) installed as a "single-user" install, which means it expects full read-write access to its "install location". You should generally not put this in /usr/lib or /usr/share, but instead unpack it in (e.g.) your home dir and run it from there.
>
> To all others; I will strongly recommend *NOT* to start eclipse as root
> as it makes it possible for eclipse to modify some metadata about which
> plugins are installed via Ubuntu. It can make it very difficult for us
> to debug issues if eclipse has changed this metadata.

The widespread advice "run some config tool" as root is becoming a problem
not just for eclipse, but many other apps -- often user ends up with files in
their home directory owned by root. It may be time to start adding checks to
the tools or using wrappers to discourage this practice.

--
George N. White III <email address hidden>
Head of St. Margarets Bay, Nova Scotia

cybox (cybox49) on 2010-10-12
Changed in eclipse (Ubuntu):
status: Fix Released → Confirmed
status: Confirmed → Fix Released
kong ng (kkzcyinc) wrote :
Download full text (3.8 KiB)

I have the following error using ubuntu 10.04
Eclipse
Version: 3.5.2
Build id: M20100211-1343

HTTP ERROR 500

Problem accessing /help/index.jsp. Reason:

    Bad version number in .class file

Caused by:

java.lang.UnsupportedClassVersionError: Bad version number in .class file
 at java.lang.ClassLoader.defineClass1(Native Method)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
 at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:183)
 at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.defineClass(ClasspathManager.java:576)
 at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findClassImpl(ClasspathManager.java:546)
 at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClassImpl(ClasspathManager.java:477)
 at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass_LockClassLoader(ClasspathManager.java:465)
 at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:445)
 at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:211)
 at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:381)
 at org.eclipse.osgi.internal.loader.SingleSourcePackage.loadClass(SingleSourcePackage.java:33)
 at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:445)
 at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410)
 at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:398)
 at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:105)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:252)
 at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:320)
 at org.eclipse.equinox.jsp.jasper.JspServlet.<init>(JspServlet.java:65)
 at org.eclipse.equinox.jsp.jasper.registry.JSPFactory.create(JSPFactory.java:56)
 at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:262)
 at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:51)
 at org.eclipse.equinox.http.registry.internal.ServletManager$ServletWrapper.initializeDelegate(ServletManager.java:194)
 at org.eclipse.equinox.http.registry.internal.ServletManager$ServletWrapper.service(ServletManager.java:179)
 at org.eclipse.equinox.http.servlet.internal.ServletRegistration.handleRequest(ServletRegistration.java:90)
 at org.eclipse.equinox.http.servlet.internal.ProxyServlet.processAlias(ProxyServlet.java:111)
 at org.eclipse.equinox.http.servlet.internal.ProxyServlet.service(ProxyServlet.java:75)
 at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
 at org.eclipse.equinox.http.jetty.internal.HttpServerManager$InternalHttpServiceServlet.service(HttpServerManager.java:318)
 at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:511)
 at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:390)
 at org.mortbay.jetty.servlet.SessionHandler.handle(SessionHandler.java:182)
 at org.mortbay.jetty.handler.ContextHandler.handle(ContextHandler.java:765)
 at...

Read more...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in eclipse (Ubuntu Lucid):
status: New → Confirmed
Santiago Gala (sgala) wrote :

I forgot to say this is happening to me with

$ LC_ALL=C dpkg-query -l eclipse*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-=====================-===============-===============-===============================================
ii eclipse 3.8.1-1ubuntu1 all Extensible Tool Platform and Java IDE
un eclipse-common-nls <none> (no description available)
un eclipse-ecj <none> (no description available)
ii eclipse-egit 2.1.0-1 all Eclipse Team provider for the Git version contr
ii eclipse-jdt 3.8.1-1ubuntu1 all Eclipse Java Development Tools (JDT)
un eclipse-jdt-gcj <none> (no description available)
un eclipse-jgit <none> (no description available)
ii eclipse-pde 3.8.1-1ubuntu1 amd64 Eclipse Plug-in Development Environment (PDE)
un eclipse-pde-gcj <none> (no description available)
ii eclipse-platform 3.8.1-1ubuntu1 amd64 Eclipse platform without development plug-ins
un eclipse-platform-comm <none> (no description available)
ii eclipse-platform-data 3.8.1-1ubuntu1 all Eclipse platform without development plug-ins (
un eclipse-platform-gcj <none> (no description available)
un eclipse-platform-nls <none> (no description available)
un eclipse-plugin-cvs <none> (no description available)
ii eclipse-rcp 3.8.1-1ubuntu1 amd64 Eclipse Rich Client Platform (RCP)
un eclipse-rcp-gcj <none> (no description available)
un eclipse-source <none> (no description available)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.